Jump to content
halam

My challenges annotating 3D solids with point and sections

Recommended Posts

halam

Hi

I would like to share some ideas and challenges i have for automating some 2D/3D designwork for complex civil.

As an example i descibe the proces of annotating 3D points, for choosen sections of a 3D solid.

In this case the solid is a double curved curb construction that has to be build. See figures below.

Any help, thought and aahahaa's are welcome..

thanks anyway..

Hans

 

 

===

1. multiple sectioning

Two thought about this..

1.1 It would be handy to make a little adjustment to the default section routine that doesn't ask the user to specify a third point.

During slicing i always have to give @0,0,1 last, but it is a bit supido.

It might as well a act like the same as the default slice command.

Giving a enter at the first prompt will to use 'current ucs' as 3th

 

1.2 Does anyone know if there is a good routine or workaround that enables multipe vert./ hor. section in one go?

 

2. Maybe some of you are like me still in need of a good 'region to polyline converter' with the ability to can handle splines as well. I found some intresting code from Kean Walmsley but i still don't understand jack **** how to load convert or do stuff with c# in AutoCAD. Can anyone help with providing this just as a .dll file?

http://through-the-interface.typepad.com/through_the_interface/2008/08/creating-a-seri.html

What i do now is just explode the regions, that will bring me spline and get me to the next step. But i really would want them to be ploylines and eventually could become polylines inside a block definition

 

 

3. getting points on the corners

The Entopo command of LeeMac used

Modify lines 26. and others only to get the endpoints list

http://www.lee-mac.com/lisp/html/Entity2PointList.html

inc (/ di2 (1+ (fix (* 2.0 (/ di2 (cdr (assoc 40 elst)) (+ pi pi)))))) ; 35 i turned into 2 to get only the ends

Maybe Lee will revise the code someday to bring in a smart distibution

Also it would be welcome if it could be processed using a single selection set with multipe objects at once.

 

 

4. Using the command to annotate the z-values

This is a good start, can be build further to make it choose combinations (x,y) (x,y,z) (z)

What would be even better is a (dynamic) block with fields.

http://www.cadtutor.net/forum/showthread.php?73658-Multiple-Points-gt-add-z-value-as-label&p=501990&viewfull=1#post501990

general idea.jpg

part3_no_spline.jpg

part3_entopo.jpg

Edited by halam

Share this post


Link to post
Share on other sites
halam

Update

1. Think i shouldn't be using section in the first place. PROJECTGEOMETRY does a better job for this.

The BricsCAD youtube tutorials showing better 3d stuff. http://fb.me/UqsosoTG

using PROJECTGEOMETRY in combination with LM layerdirector to get it all in one layers

PEDIT (multiple) to convert all the splines into plineGileCAD's

 

 

2. To convert Regions GILECAD R2PL routine is good, but unnecessary if you use PROJECTGEOMETRY

 

 

4. Thanks for the update Lee Mac!

http://www.cadtutor.net/forum/showthread.php?73658-Multiple-Points-gt-add-z-value-as-label&p=664510&viewfull=1#post664510

For now this will do just fine

'(000 . "MTEXT")

'(100 . "AcDbEntity")

'(100 . "AcDbMText")

(cons 40 100) ; Height = 100

(CONS 7 "NLCS-ISO") ; Style has to exist is drawing

(cons 8 "X-XX_txt__ZPT") ; Layer for points, can be new

Edited by halam

Share this post


Link to post
Share on other sites
halam

I got it all together and make this one :)

cheers

 

 

Share this post


Link to post
Share on other sites
halam

Got it one step having LM:Entity->PointList working on multiple lines

.. next plan is to replace the point for a block (dynamic, field)

 

 

 


;; auteur Roy_043 The Netherlands

(defun KGA_Conv_Pickset_To_EnameList (ss / i ret)
 (if ss
   (repeat (setq i (sslength ss))
     (setq ret (cons (ssname ss (setq i (1- i))) ret))
   )
 )
)
(defun c:entopo ()
 (foreach ent (KGA_Conv_Pickset_To_EnameList (ssget))
   (foreach pt (LM:Entity->PointList ent)
     (entmake (list '(0 . "POINT") (cons 10 pt)))
   )
 )
 (princ)
)


2016-06-29_17-00-49.gif

Share this post


Link to post
Share on other sites
halam

Great job and all the credits to mr. Roy_043 !,

he helped me to get to get a fielded blocks working a 3dpolyline

for the contours XYZ. I know tons of applications for this nice ENTOPO4 routine!

 

 

Share this post


Link to post
Share on other sites
halam

Today I discovered a new trick. AutoCAD 2016 gives us Xedges

Combined with Entopo an Zpt leads to this. Useful, print to 3d dwf or 3d pdf

 

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...